# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Defined types

* [`file_lnk`](#file_lnk): File LNK

## Defined types

### <a name="file_lnk"></a>`file_lnk`

Defines a .LNK shortcut

#### Parameters

The following parameters are available in the `file_lnk` defined type:

* [`description`](#description)
* [`ensure`](#ensure)
* [`file_name`](#file_name)
* [`hot_key`](#hot_key)
* [`icon_file`](#icon_file)
* [`icon_index`](#icon_index)
* [`log_output`](#log_output)
* [`parent_folder`](#parent_folder)
* [`set_run_as_administrator`](#set_run_as_administrator)
* [`target_path`](#target_path)
* [`target_arguments`](#target_arguments)
* [`window_style`](#window_style)
* [`working_directory`](#working_directory)

##### <a name="description"></a>`description`

Data type: `Optional[String]`

Descriptive comment to use for the shortcut
Example: 'This is an example comment'

Default value: `''`

##### <a name="ensure"></a>`ensure`

Data type: `Optional[Enum['present', 'absent']]`

Desired state of the shortcut
Example: 'absent'

Default value: `'present'`

##### <a name="file_name"></a>`file_name`

Data type: `String`

Assigned text, including the file extension, that should be used as the name of the file
Example: 'OneToRuleThemAll.lnk'

##### <a name="hot_key"></a>`hot_key`

Data type: `Optional[String]`

Denotes the key combination to assign to the shortcut
Key combo execution will only work if the shortcut resides in certain locations (such as Desktop, Start Menu, etc..)
Example: 'CTRL+ALT+8'

Default value: `''`

##### <a name="icon_file"></a>`icon_file`

Data type: `Optional[String]`

Full path to the file containing the icon to use for the shortcut
Example: 'C:\Windows\HelpPane.exe'

Default value: `$target_path`

##### <a name="icon_index"></a>`icon_index`

Data type: `Optional[Integer]`

Denotes which icon entry within the icon_file item to use for the shortcut
Example: 0

Default value: `0`

##### <a name="log_output"></a>`log_output`

Data type: `Optional[Boolean]`

Determines additional logging output (typically only used for troubleshooting) during a Puppet agent run
Example: True

Default value: ``false``

##### <a name="parent_folder"></a>`parent_folder`

Data type: `String`

Full path to the parent folder that will house the shortcut file
Example: 'C:\Users\Public\Desktop'

##### <a name="set_run_as_administrator"></a>`set_run_as_administrator`

Data type: `Optional[Boolean]`

Determines if the shortcut should be run with administrator rights
Example: True

Default value: ``false``

##### <a name="target_path"></a>`target_path`

Data type: `String`

Path to the item to launch when the shortcut is triggered
Example: 'C:\\Windows\\notepad.exe'

##### <a name="target_arguments"></a>`target_arguments`

Data type: `Optional[String]`

Arguments to supply to the target file when the shorcut is triggered
Example: '-option123'

Default value: `''`

##### <a name="window_style"></a>`window_style`

Data type: `Optional[Enum['1', '3', '7']]`

Denotes what type of window to use when the shortcut is triggered
1=normal, 3=maximized, 7=minimized
Example: '3'

Default value: `'1'`

##### <a name="working_directory"></a>`working_directory`

Data type: `Optional[String]`

Path to use for the working directory when the shortcut is triggered
Example: 'C:\\Windows'

Default value: `'C:\\Windows'`

